RHEL 9 : Red Hat Single Sign-On 7.6.1 security update on RHEL 9 (Moderate) (RHSA-2022:7411)

critical Nessus Plugin ID 166947

Synopsis

The remote Red Hat host is missing one or more security updates for Red Hat Single Sign-On 7.6.1.

Description

The remote Redhat Enterprise Linux 9 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2022:7411 advisory.

Red Hat Single Sign-On 7.6 is a standalone server, based on the Keycloak project, that provides authentication and standards-based single sign-on capabilities for web and mobile applications.

This release of Red Hat Single Sign-On 7.6.1 on RHEL 9 serves as a replacement for Red Hat Single Sign-On 7.6.0, and includes bug fixes and enhancements, which are documented in the Release Notes document linked to in the References.

Security Fix(es):

* jackson-databind: denial of service via a large depth of nested objects (CVE-2020-36518)

* h2: Remote Code Execution in Console (CVE-2021-42392)

* netty: control chars in header names may lead to HTTP request smuggling (CVE-2021-43797)

* xnio: org.xnio.StreamConnection.notifyReadClosed log to debug instead of stderr (CVE-2022-0084)

* keycloak: Stored XSS in groups dropdown (CVE-2022-0225)

* wildfly: Wildfly management of EJB Session context returns wrong caller principal with Elytron Security enabled (CVE-2022-0866)

* keycloak: Uploading of SAML javascript protocol mapper scripts through the admin console (CVE-2022-2668)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Tenable has extracted the preceding description block directly from the Red Hat Enterprise Linux security advisory.

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL Red Hat Single Sign-On 7.6.1 package based on the guidance in RHSA-2022:7411.

See Also

https://bugzilla.redhat.com/show_bug.cgi?id=2064226

https://bugzilla.redhat.com/show_bug.cgi?id=2064698

https://bugzilla.redhat.com/show_bug.cgi?id=2115392

https://access.redhat.com/security/updates/classification/#moderate

http://www.nessus.org/u?bec7c2df

https://access.redhat.com/articles/11258

https://access.redhat.com/errata/RHSA-2022:7411

https://bugzilla.redhat.com/show_bug.cgi?id=2031958

https://bugzilla.redhat.com/show_bug.cgi?id=2039403

https://bugzilla.redhat.com/show_bug.cgi?id=2040268

https://bugzilla.redhat.com/show_bug.cgi?id=2060929

Plugin Details

Severity: Critical

ID: 166947

File Name: redhat-RHSA-2022-7411.nasl

Version: 1.6

Type: local

Agent: unix

Published: 11/4/2022

Updated: 6/3/2024

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS Score Source: CVE-2021-42392

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

CVSS Score Source: CVE-2021-42575

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:rh-sso7-javapackages-tools, p-cpe:/a:redhat:enterprise_linux:rh-sso7-python3-javapackages, p-cpe:/a:redhat:enterprise_linux:rh-sso7-javapackages-filesystem, p-cpe:/a:redhat:enterprise_linux:rh-sso7-keycloak-server, cpe:/o:redhat:enterprise_linux:9, p-cpe:/a:redhat:enterprise_linux:rh-sso7, p-cpe:/a:redhat:enterprise_linux:rh-sso7-keycloak, p-cpe:/a:redhat:enterprise_linux:rh-sso7-runtime

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 11/3/2022

Vulnerability Publication Date: 10/18/2021

Reference Information

CVE: CVE-2020-36518, CVE-2021-42392, CVE-2021-42575, CVE-2021-43797, CVE-2022-0084, CVE-2022-0225, CVE-2022-0853, CVE-2022-0866, CVE-2022-1319, CVE-2022-23913, CVE-2022-2668

CWE: 1220, 20, 252, 400, 401, 440, 444, 502, 770, 79

RHSA: 2022:7411